Loading...
Searching...
No Matches
CopyableOpTransformer< InIterT, OutTreeT, OpT > Class Template Reference

`#include <openvdb/tools/ValueTransformer.h>`

## Public Types

using | InTreeT = typename InIterT::TreeT
using | IterRange = typename tree::IteratorRange<InIterT>
using | OutValueT = typename OutTreeT::ValueType

## Public Member Functions

| CopyableOpTransformer (const InIterT &inIter, OutTreeT &outTree, const OpT &op, MergePolicy merge)
| CopyableOpTransformer (CopyableOpTransformer &other, tbb::split)
| ~CopyableOpTransformer ()
void | process (bool threaded=true)
void | operator() (IterRange &range)
| Transform each element in the given range.
void | join (const CopyableOpTransformer &other)

## Member Typedef Documentation

## InTreeT

template<typename InIterT, typename OutTreeT, typename OpT>

using InTreeT = typename InIterT::TreeT

## IterRange

template<typename InIterT, typename OutTreeT, typename OpT>

using IterRange = typename tree::IteratorRange<InIterT>

## OutValueT

template<typename InIterT, typename OutTreeT, typename OpT>

using OutValueT = typename OutTreeT::ValueType

## Constructor & Destructor Documentation

## CopyableOpTransformer() [1/2]

template<typename InIterT, typename OutTreeT, typename OpT>

CopyableOpTransformer | ( | const InIterT & | inIter,
|  | OutTreeT & | outTree,
|  | const OpT & | op,
|  | MergePolicy | merge )

inline

## CopyableOpTransformer() [2/2]

template<typename InIterT, typename OutTreeT, typename OpT>

CopyableOpTransformer | ( | CopyableOpTransformer< InIterT, OutTreeT, OpT > & | other,
|  | tbb::split | )

inline

## ~CopyableOpTransformer()

template<typename InIterT, typename OutTreeT, typename OpT>

~CopyableOpTransformer | ( |  | ) |

inline

## Member Function Documentation

## join()

template<typename InIterT, typename OutTreeT, typename OpT>

void join | ( | const CopyableOpTransformer< InIterT, OutTreeT, OpT > & | other | ) |

inline

## operator()()

template<typename InIterT, typename OutTreeT, typename OpT>

void operator() | ( | IterRange & | range | ) |

inline

Transform each element in the given range.

## process()

template<typename InIterT, typename OutTreeT, typename OpT>

void process | ( | bool | threaded = true | ) |

inline